`compare` <-
function (x, design, by, loi='student')
{
# Vrifications
if (!any(class(design)=='survey.design')) design <- svydesign(~1,data=design)
if (loi=='normal' | loi=='normale') student <- FALSE else student = TRUE
# Calcul des stats
stats <- int.conf(x, design, by)
# Liste des variables et liste des groupes
groupes <- row.names(stats)
variables <- sub('se.','',grep('^se.',names(stats),value=TRUE))
result <- expand.grid(groupes,groupes)
names(result) <- c('groupe.1','groupe.2')
for (i in 1:length(variables)) {
# Cration des nouvelles variables
result[[paste('valeur.1',variables[i],sep='.')]] <- as.numeric(NA)
result[[paste('valeur.2',variables[i],sep='.')]] <- as.numeric(NA)
result[[paste('difference',variables[i],sep='.')]] <- as.numeric(NA)
result[[paste('p.unilateral',variables[i],sep='.')]] <- as.numeric(NA)
result[[paste('p.bilateral',variables[i],sep='.')]] <- as.numeric(NA)
result[[paste('type',variables[i],sep='.')]] <- as.character(NA)
for (j in 1:length(result[[1]])) {
# calcul des p.value
groupe1 <- result$groupe.1[j]
groupe2 <- result$groupe.2[j]
se1 <- stats[groupe1,paste('se',variables[i],sep='.')]
se2 <- stats[groupe2,paste('se',variables[i],sep='.')]
n1 <- stats[groupe1,paste('n',variables[i],sep='.')]
n2 <- stats[groupe2,paste('n',variables[i],sep='.')]
if(any(paste('moyenne',variables[i],sep='.')==names(stats)))
stat.type <- 'moyenne'
else stat.type <- 'proportion'
stat1 <- stats[groupe1,paste(stat.type,variables[i],sep='.')]
stat2 <- stats[groupe2,paste(stat.type,variables[i],sep='.')]
se <- sqrt(se1^2+se2^2)
difference <- stat1-stat2
tz <- difference / se
dl <- n1 + n2 -2
if (student) p.value.unilateral <- 1-pt(tz,dl) else p.value.unilateral <- 1-pnorm(tz)
if (student) p.value.bilateral <- 2*(1-pt(abs(tz),dl)) else p.value.bilateral <- 2*(1-pnorm(abs(tz)))
result[[paste('valeur.1',variables[i],sep='.')]][j] <- stat1
result[[paste('valeur.2',variables[i],sep='.')]][j] <- stat2
result[[paste('difference',variables[i],sep='.')]][j] <- difference
result[[paste('p.unilateral',variables[i],sep='.')]][j] <- round(p.value.unilateral,digits=6)
result[[paste('p.bilateral',variables[i],sep='.')]][j] <- round(p.value.bilateral,digits=6)
result[[paste('type',variables[i],sep='.')]][j] <- stat.type
}
}
if (student) result$loi <- 'Student' else result$loi <- 'Normale'
return(result)
}

