`int.conf` <-
function (x, design, by=NULL, confiance=0.95, loi='student')
{
#Vrifications
if (!any(class(design)=='survey.design')) design <- svydesign(~1,data=design)
if (is.null(by)) by2 <- as.factor('ensemble') else by2 <- by
if (loi=='normal' | loi=='normale') student <- FALSE else student = TRUE
#Calcul des moyennes
result <- svyby(x, by2, design, svymean, na.rm=TRUE)
if (is.null(by)) result <- result[-1]
#Calcul des intervalles de confiance
var.design <- all.vars(x)
if (!is.null(by)) var.by <- all.vars(by)
noms <- names(result)
variables <- sub('se.','',grep('^se.',noms,value=TRUE))
type.stat <- variables
alpha <- 1-confiance
for (j in 1:length(variables)) {
result[[paste('ic.bas',variables[[j]],sep='.')]]<- as.numeric(NA)
result[[paste('ic.haut',variables[[j]],sep='.')]]<- as.numeric(NA)
result[[paste('n',variables[[j]],sep='.')]]<- as.numeric(NA)
}
for (i in 1:length(result[[1]])) {
rang.var <- 1
levels.restant <- 0
donnees <- design$variables
if (!is.null(by)) for (k in 1:length(var.by))
{
var.by.actuelle <- var.by[k]
value.actuelle <- result[[var.by.actuelle]][i]
if (is.na(value.actuelle))
donnees <- donnees[is.na(donnees[[var.by.actuelle]]),]
else
donnees <- donnees[donnees[[var.by.actuelle]]==value.actuelle,]
}
for (j in 1:length(variables)) {
# Vrifications si variable numrique ou facteur
if(is.numeric(donnees[[var.design[rang.var]]])) {
donnees.temp <- donnees
type.stat[j] <- 'moyenne'
} else {
niveaux <- levels(as.factor(donnees[[var.design[rang.var]]]))
# Si levels.restant vaut 0, c une nouvelle variable donc on lui indique me nombre
# de niveaux  traiter
if (levels.restant==0) levels.restant <- length(niveaux)
donnees.temp <- donnees
levels.restant <- levels.restant - 1
type.stat[j] <- 'proportion'
}

n <- length(na.exclude(donnees.temp[[var.design[rang.var]]]))
statistic <- result[[paste('statistics',variables[[j]],sep='.')]][i]
se <- result[[paste('se',variables[[j]],sep='.')]][i]
if (student) loi.alpha <- qt(confiance+alpha/2, df=n-1)
else loi.alpha <- qnorm(confiance+alpha/2)
result[[paste('n',variables[[j]],sep='.')]][i] <- n
result[[paste('ic.bas',variables[[j]],sep='.')]][i] <- statistic - se*loi.alpha
result[[paste('ic.haut',variables[[j]],sep='.')]][i] <- statistic + se*loi.alpha

if(is.numeric(donnees[[var.design[rang.var]]])) rang.var <- rang.var + 1
else if (levels.restant==0) rang.var <- rang.var + 1
}
}
result$confiance <- confiance
if (student) result$loi <- 'Student' else result$loi <- 'Normale'
# rcriture des noms de variables
noms <- names(result)
if (is.null(by)) nb.var.by <- 0 else nb.var.by <- length(var.by)
for (j in 1:length(variables)) noms[j+nb.var.by] <- sub('statistics',type.stat[j],noms[j+nb.var.by])
names(result) <- noms
return(result)
}

