\name{TestsFaciles-package}
\alias{TestsFaciles-package}
\alias{TestsFaciles}
\docType{package}
\title{
Facilite le calcul d'intervalles de confiance et de tests de comparaison avec prise en compte du plan d'chantillonnage.
}
\description{
 Ce mini-package fournit deux fonctions (\code{\link{int.conf}} et \code{\link{compare}}) pour faciliter le calcul d'intervalles de confiance et de tests statistiques  l'aide du package \code{\link[survey:survey-package]{survey}} afin de prendre en compte un plan d'chantillonange complexe. De plus, il fournit une fonction \code{\link{importer.spss}}, proche de \code{\link[foreign]{read.spss}}, mais permettant de renvoyer un type factor lorsqu'une tiquette de donnes est dfinie dans le fichier .sav mais non prsente dans les donnes.
}
\details{
\tabular{ll}{
Package: \tab TestsFaciles\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2007-03-26\cr
License: \tab CeCILL-C - \url{http://www.cecill.info/}\cr
}
}
\author{
Joseph LARMARANGE <joseph@larmarange.net>\cr
\url{http://joseph.larmarange.net/Tests-statistiques-avec-prise-en.html}

}
\keyword{ package }
\seealso{
 Package \code{\link[survey:survey-package]{survey}}
}
\examples{
data(api)

# Spcification du plan d'chantillonnage
donnees <- svydesign(id=~dnum, weights=~pw, data=apiclus1)

# Intervalles de confiance
int.conf(~api99+yr.rnd, donnees)

# pour mieux visualiser les rsultats
t(int.conf(~api99+yr.rnd, donnees)) 

# rsultats par sous-groupes
t(int.conf(~api99+yr.rnd, donnees, by=~stype)) 

# Comparaison de 2 moyennes ou de 2 proportions

compare(~api99, donnees, by=~stype)

# on peut effectuer plusieurs comparaisons en mme temps
compare(~api99+yr.rnd, donnees, by=~stype) 

# facilite l'affichage des rsultats
t(compare(~api99+yr.rnd, donnees, by=~stype)) 

}
