\name{compare}
\alias{compare}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Test de comparaison de deux moyennes ou deux proportions.}
\description{
Compare des moyennes ou des proportions deux  deux selon leur valeur dans diffrents sous-groupes.
}
\usage{
compare(x, design, by, loi = "student")
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{x}{formule. Liste des variables que l'on souhaite tester.}
  \item{design}{objet de la classe \code{\link[survey]{svydesign}} ou tableau de donnes. Donnes.}
  \item{by}{formule. Liste des variables de type facteur dfinissant les groupes  comparer.}
  \item{loi}{texte. \emph{student} ou \emph{normale}. Spcifie la loi utilise pour le calcul des intervalles. Voir les dtails.}
}
\details{
Les tests de comparaison effectus par cette fonction considrent que, sous l'hypthse nulle,
\deqn{\frac{\bar{x}_1 - \bar{x}_2}{\sqrt{SE_1^2 +SE_{2^{}}^2}}}
suit une loi normale centre rduite (si \code{loi='normale'}) ou une loi t de Student  \eqn{n_{1}+n_{2}-2} degrs de libert si \code{loi='student'}.

Les moyennes, proportions, carts-types et effectifs sont calculs avec \code{\link{int.conf}}.

Le test bilatral teste si \eqn{\bar{x}_1 \neq \bar{x}_2} (hypothse nulle : \eqn{\bar{x}_1 = \bar{x}_2}).\cr
Le test unilatral teste si \eqn{\bar{x}_1 > \bar{x}_2} (hypothse nulle : \eqn{\bar{x}_1 \leq \bar{x}_2}).
}
\value{
Un tableau de donnes avec une ligne par combinaison de groupes et les colonnes suivantes pour chaque variable x teste.
  \item{valeur1.x}{Valeur de \eqn{\bar{x}} dans le groupe 1.}
  \item{valeur2.x}{Valeur de \eqn{\bar{x}} dans le groupe 2.}
  \item{difference.x}{valeur1.x - valeur2.x}
  \item{p.unilateral.x}{Valeur de p au test unilatral.}
  \item{p.bilateral.x}{valeur de p au test bilatral.}
  \item{type.x}{Type de grandeur : moyenne ou proportion.}

}
\seealso{ \code{\link{int.conf}}}
\examples{
data(api)

# Spcification du plan d'chantillonnage
donnees <- svydesign(id=~dnum, weights=~pw, data=apiclus1)

# Comparaison de 2 moyennes ou de 2 proportions

compare(~api99, donnees, by=~stype)

# on peut effectuer plusieurs comparaisons en mme temps
compare(~api99+yr.rnd, donnees, by=~stype) 

# facilite l'affichage des rsultats
t(compare(~api99+yr.rnd, donnees, by=~stype)) 

}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{survey}
\keyword{htest}
